> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/report-data/auto-screen-recording-beta.md).

# Auto Screen Recording \[Beta]

This feature is disabled by default; however, you can automatically capture a screen recording of your app up to the last 30 seconds before a report is sent by adding the API below.

**Your users will also be prompted once the recording starts at the beginning of the session and will have the ability to remove the video from the attachments when sending the report.** The auto-screen recording attachment counts towards the limit of 4 attachments in total.

**Enabling/Disabling Auto Screen Recording:**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.autoScreenRecordingEnabled = true
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.autoScreenRecordingEnabled = YES;
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setAutoScreenRecordingEnabled(true);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setAutoScreenRecordingEnabled(true)
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.setAutoScreenRecordingEnabled(true);
```

{% endtab %}
{% endtabs %}

**Setting Screen Record Duration:**\
By default, this is set to 30 seconds, which is also the maximum duration; however, a limit can be set for the total duration of the auto-screen recording.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.autoScreenRecordingDuration = 30
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.autoScreenRecordingDuration = 30;
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.setAutoScreenRecordingMaxDuration(30);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/report-data/auto-screen-recording-beta.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
